<?php

namespace Webkul\SalesforceConnector\Ui\Listing\Product;

use Magento\Framework\View\Element\UiComponent\DataProvider\DataProvider as FrameworkDataProvider;
use Magento\Framework\Api\Filter;

/**
 * Class DataProvider
 */
class DataProvider extends FrameworkDataProvider
{
    /**
     * {@inheritdoc}
     */
    public function addFilter(Filter $filter)
    {
        if ($filter->getField() == 'sync_status') {
            $filter->setConditionType('eq');
            $value = $filter->getValue()[0];
            if ($value == -1) {
                $value = true;
                $filter->setConditionType('null');
            }
            $filter->setValue($value);
        }

        parent::addFilter($filter);
    }
}